Index: drivers/bus/SCSI.h
===================================================================
--- drivers/bus/SCSI.h	(revision 28851)
+++ drivers/bus/SCSI.h	(working copy)
@@ -97,72 +97,72 @@
 #include <device_manager.h>
 
 
-#define SCSI_MAX_CDB_SIZE 16	// max size of cdb
-#define SCSI_MAX_SENSE_SIZE	64	// max size of sense data
-#define SCSI_SIM_PRIV	1536	// SIM private data; this may be a bit much but
-								// we currently need that for the compatibility layer
+#define SCSI_MAX_CDB_SIZE 16	/* max size of cdb */
+#define SCSI_MAX_SENSE_SIZE	64	/* max size of sense data */
+#define SCSI_SIM_PRIV	1536	/* SIM private data; this may be a bit much but */
+								/* we currently need that for the compatibility layer */
 
-// bus/device handle
+/* bus/device handle */
 typedef struct scsi_bus_info *scsi_bus;
 typedef struct scsi_device_info *scsi_device;
 
 
-// structure of one scsi i/o CCB (command control block)
+/* structure of one scsi i/o CCB (command control block) */
 typedef struct scsi_ccb {
-	struct scsi_ccb *next, *prev;	// internal
+	struct scsi_ccb *next, *prev;	/* internal */
 
-	uchar		subsys_status;		// Returned subsystem status
-	uchar		device_status;		// Returned scsi device status
+	uchar		subsys_status;		/* Returned subsystem status */
+	uchar		device_status;		/* Returned scsi device status */
 
-	uchar		path_id;			// Path ID for the request
-	uchar		target_id;			// Target device ID
-	uchar		target_lun;			// Target LUN number
-	uint32		flags;				// Flags for operation of the subsystem
+	uchar		path_id;			/* Path ID for the request */
+	uchar		target_id;			/* Target device ID */
+	uchar		target_lun;			/* Target LUN number */
+	uint32		flags;				/* Flags for operation of the subsystem */
 
-	// released once after asynchronous execution of request;
-	// initialised by alloc_ccb, can be replaced for action but
-	// must be restored before returning via free_ccb
+	/* released once after asynchronous execution of request; */
+	/* initialised by alloc_ccb, can be replaced for action but */
+	/* must be restored before returning via free_ccb */
 	sem_id		completion_sem;
 
-	uint8		cdb[SCSI_MAX_CDB_SIZE];  // command data block
-	uchar		cdb_length;			// length of command in bytes
-	int64		sort;				// value of command to sort on (<0 means n/a)
-	bigtime_t	timeout;			// timeout - 0 = use default
+	uint8		cdb[SCSI_MAX_CDB_SIZE];  /* command data block */
+	uchar		cdb_length;			/* length of command in bytes */
+	int64		sort;				/* value of command to sort on (<0 means n/a) */
+	bigtime_t	timeout;			/* timeout - 0 = use default */
 
-	uchar		*data;				// pointer to data
-	const physical_entry *sg_list;	// scatter/gather list
-	uint16		sg_count;			// number of S/G entries
-	uint32		data_length;		// length of data
-	int32		data_resid;			// data transfer residual length: 2's comp
+	uchar		*data;				/* pointer to data */
+	const physical_entry *sg_list;	/* scatter/gather list */
+	uint16		sg_count;			/* number of S/G entries */
+	uint32		data_length;		/* length of data */
+	int32		data_resid;			/* data transfer residual length: 2's comp */
 	void		*io_operation;
 
-	uchar		sense[SCSI_MAX_SENSE_SIZE]; // autosense data
-	uchar		sense_resid;		// autosense resid length: 2's comp
+	uchar		sense[SCSI_MAX_SENSE_SIZE]; /* autosense data */
+	uchar		sense_resid;		/* autosense resid length: 2's comp */
 
-	// private
-	bool		ordered : 1;		// request cannot overtake/be overtaken by others
-	bool		buffered : 1;		// data is buffered to make it DMA safe
-	bool		emulated : 1;		// command is executed as part of emulation
+	/* private */
+	bool		ordered : 1;		/* request cannot overtake/be overtaken by others */
+	bool		buffered : 1;		/* data is buffered to make it DMA safe */
+	bool		emulated : 1;		/* command is executed as part of emulation */
 
-	scsi_bus	bus;				// associated bus
-	scsi_device	device;				// associated device
-	struct dma_buffer *dma_buffer;	// used dma buffer, or NULL
-	uchar 		state;				// bus manager state
+	scsi_bus	bus;				/* associated bus */
+	scsi_device	device;				/* associated device */
+	struct dma_buffer *dma_buffer;	/* used dma buffer, or NULL */
+	uchar 		state;				/* bus manager state */
 
-	// original data before command emulation was applied
+	/* original data before command emulation was applied */
 	uint8		orig_cdb[SCSI_MAX_CDB_SIZE];
 	uchar		orig_cdb_length;
 	const physical_entry *orig_sg_list;
 	uint16		orig_sg_count;
 	uint32		orig_data_length;
 
-	// private SIM data
-	uchar		sim_state;			// set to zero when request is submitted first time
+	/* private SIM data */
+	uchar		sim_state;			/* set to zero when request is submitted first time */
 	uchar		sim_priv[SCSI_SIM_PRIV];	/* SIM private data area */
 } scsi_ccb;
 
 
-// Defines for the subsystem status field
+/* Defines for the subsystem status field */
 
 #define	SCSI_REQ_INPROG			0x00	/* request is in progress */
 #define SCSI_REQ_CMP 			0x01	/* request completed w/out error */
@@ -207,7 +207,7 @@
 #define SCSI_SUBSYS_STATUS_MASK 0x3F	/* Mask bits for just the status # */
 
 
-// Defines for the flags field
+/* Defines for the flags field */
 
 #define SCSI_DIR_RESV			0x00000000	/* Data direction (00: reserved) */
 #define SCSI_DIR_IN				0x00000040	/* Data direction (01: DATA IN) */
@@ -216,8 +216,8 @@
 #define SCSI_DIR_MASK			0x000000C0
 
 #define SCSI_DIS_AUTOSENSE		0x00000020	/* Disable autosense feature */
-#define SCSI_ORDERED_QTAG		0x00000010	// ordered queue (cannot overtake/be overtaken)
-#define SCSI_DMA_SAFE			0x00000008	// set if data buffer is DMA approved
+#define SCSI_ORDERED_QTAG		0x00000010	/* ordered queue (cannot overtake/be overtaken) */
+#define SCSI_DMA_SAFE			0x00000008	/* set if data buffer is DMA approved */
 
 #define SCSI_DIS_DISCONNECT		0x00008000	/* Disable disconnect */
 #define SCSI_INITIATE_SYNC		0x00004000	/* Attempt Sync data xfer, and SDTR */
@@ -225,9 +225,9 @@
 #define SCSI_ENG_SYNC			0x00000200	/* Flush resid bytes before cmplt */
 
 
-// Defines for the Path Inquiry CCB fields
+/* Defines for the Path Inquiry CCB fields */
 
-// flags in hba_inquiry
+/* flags in hba_inquiry */
 #define SCSI_PI_MDP_ABLE		0x80	/* Supports MDP message */
 #define SCSI_PI_WIDE_32			0x40	/* Supports 32 bit wide SCSI */
 #define SCSI_PI_WIDE_16			0x20	/* Supports 16 bit wide SCSI */
@@ -235,11 +235,11 @@
 #define SCSI_PI_TAG_ABLE		0x02	/* Supports tag queue message */
 #define SCSI_PI_SOFT_RST		0x01	/* Supports soft reset */
 
-// flags in hba_misc
+/* flags in hba_misc */
 #define SCSI_PIM_SCANHILO		0x80	/* Bus scans from ID 7 to ID 0 */
 #define SCSI_PIM_NOREMOVE		0x40	/* Removable dev not included in scan */
 
-// sizes of inquiry fields
+/* sizes of inquiry fields */
 #define SCSI_VUHBA		14				/* Vendor Unique HBA length */
 #define SCSI_SIM_ID		16				/* ASCII string len for SIM ID */
 #define SCSI_HBA_ID		16				/* ASCII string len for HBA ID */
@@ -248,7 +248,7 @@
 #define SCSI_VERS		 8				/* ASCII string len for SIM & HBA vers */
 
 
-// Path inquiry, extended by BeOS XPT_EXTENDED_PATH_INQ parameters
+/* Path inquiry, extended by BeOS XPT_EXTENDED_PATH_INQ parameters */
 typedef struct {
 	uchar		version_num;			/* Version number for the SIM/HBA */
 	uchar		hba_inquiry;			/* Mimic of INQ byte 7 for the HBA */
@@ -256,7 +256,7 @@
 	uint32		sim_priv;				/* Size of SIM private data area */
 	uchar		vuhba_flags[SCSI_VUHBA];/* Vendor unique capabilities */
 	uchar		initiator_id;			/* ID of the HBA on the SCSI bus */
-	uint32		hba_queue_size;			// size of adapaters command queue
+	uint32		hba_queue_size;			/* size of adapaters command queue */
 	char		sim_vid[SCSI_SIM_ID];	/* Vendor ID of the SIM */
 	char		hba_vid[SCSI_HBA_ID];	/* Vendor ID of the HBA */
 
@@ -267,55 +267,55 @@
 } scsi_path_inquiry;
 
 
-// Device node
+/* Device node */
 
-// target (uint8)
+/* target (uint8) */
 #define SCSI_DEVICE_TARGET_ID_ITEM "scsi/target_id"
-// lun (uint8)
+/* lun (uint8) */
 #define SCSI_DEVICE_TARGET_LUN_ITEM "scsi/target_lun"
-// node type
+/* node type */
 #define SCSI_DEVICE_TYPE_NAME "scsi/device/v1"
-// device inquiry data (raw scsi_res_inquiry)
+/* device inquiry data (raw scsi_res_inquiry) */
 #define SCSI_DEVICE_INQUIRY_ITEM "scsi/device_inquiry"
-// device type (uint8)
+/* device type (uint8) */
 #define SCSI_DEVICE_TYPE_ITEM "scsi/type"
-// vendor name (string)
+/* vendor name (string) */
 #define SCSI_DEVICE_VENDOR_ITEM "scsi/vendor"
-// product name (string)
+/* product name (string) */
 #define SCSI_DEVICE_PRODUCT_ITEM "scsi/product"
-// revision (string)
+/* revision (string) */
 #define SCSI_DEVICE_REVISION_ITEM "scsi/revision"
 
-// maximum targets on scsi bus
+/* maximum targets on scsi bus */
 #define SCSI_DEVICE_MAX_TARGET_COUNT "scsi/max_target_count"
 
-// directory containing links to peripheral drivers
+/* directory containing links to peripheral drivers */
 #define SCSI_PERIPHERAL_DRIVERS_DIR "scsi"
 
-// bus manager device interface for peripheral driver
+/* bus manager device interface for peripheral driver */
 typedef struct scsi_device_interface {
 	driver_module_info info;
 
-	// get CCB
-	// warning: if pool of CCBs is exhausted, this call is delayed until a
-	// CCB is freed, so don't try to allocate more then one CCB at once!
+	/* get CCB */
+	/* warning: if pool of CCBs is exhausted, this call is delayed until a */
+	/* CCB is freed, so don't try to allocate more then one CCB at once! */
 	scsi_ccb *(*alloc_ccb)(scsi_device device);
-	// free CCB
+	/* free CCB */
 	void (*free_ccb)(scsi_ccb *ccb);
 
-	// execute command asynchronously
-	// when it's finished, the semaphore of the ccb is released
-	// you must provide a S/G list if data_len != 0
+	/* execute command asynchronously */
+	/* when it's finished, the semaphore of the ccb is released */
+	/* you must provide a S/G list if data_len != 0 */
 	void (*async_io)(scsi_ccb *ccb);
-	// execute command synchronously
-	// you don't need to provide a S/G list nor have to lock data
+	/* execute command synchronously */
+	/* you don't need to provide a S/G list nor have to lock data */
 	void (*sync_io)(scsi_ccb *ccb);
 
-	// abort request
+	/* abort request */
 	uchar (*abort)(scsi_ccb *ccb_to_abort);
-	// reset device
+	/* reset device */
 	uchar (*reset_device)(scsi_device device);
-	// terminate request
+	/* terminate request */
 	uchar (*term_io)(scsi_ccb *ccb_to_terminate);
 
 	status_t (*ioctl)(scsi_device device, uint32 op, void *buffer, size_t length);
@@ -324,83 +324,83 @@
 #define SCSI_DEVICE_MODULE_NAME "bus_managers/scsi/device/driver_v1"
 
 
-// Bus node
+/* Bus node */
 
-// attributes:
+/* attributes: */
 
-// path (uint8)
+/* path (uint8) */
 #define SCSI_BUS_PATH_ID_ITEM "scsi/path_id"
-// node type
+/* node type */
 #define SCSI_BUS_TYPE_NAME "scsi/bus"
 
-// SCSI bus node driver.
-// This interface can be used by peripheral drivers to access the
-// bus directly.
+/* SCSI bus node driver. */
+/* This interface can be used by peripheral drivers to access the */
+/* bus directly. */
 typedef struct scsi_bus_interface {
 	driver_module_info info;
 
-	// get information about host controller
+	/* get information about host controller */
 	uchar (*path_inquiry)(scsi_bus bus, scsi_path_inquiry *inquiry_data);
-	// reset SCSI bus
+	/* reset SCSI bus */
 	uchar (*reset_bus)(scsi_bus bus);
 } scsi_bus_interface;
 
-// name of SCSI bus node driver
+/* name of SCSI bus node driver */
 #define SCSI_BUS_MODULE_NAME "bus_managers/scsi/bus/driver_v1"
 
 
-// Interface for SIM
+/* Interface for SIM */
 
-// cookie for dpc
+/* cookie for dpc */
 typedef struct scsi_dpc_info *scsi_dpc_cookie;
 
-// Bus manager interface used by SCSI controller drivers.
-// SCSI controller drivers get this interface passed via their init_device
-// method. Further, they must specify this driver as their fixed consumer.
+/* Bus manager interface used by SCSI controller drivers. */
+/* SCSI controller drivers get this interface passed via their init_device */
+/* method. Further, they must specify this driver as their fixed consumer. */
 typedef struct scsi_for_sim_interface {
 	driver_module_info info;
 
-	// put request into wait queue because of overflow
-	// bus_overflow: true - too many bus requests
-	//               false - too many device requests
-	// bus/device won't receive requests until cont_sent_bus/cont_send_device
-	// is called or a request is finished via finished();
-	// to avoid race conditions (reporting a full and a available bus at once)
-	// the SIM should synchronize calls to requeue, resubmit and finished
+	/* put request into wait queue because of overflow */
+	/* bus_overflow: true - too many bus requests */
+	/*               false - too many device requests */
+	/* bus/device won't receive requests until cont_sent_bus/cont_send_device */
+	/* is called or a request is finished via finished(); */
+	/* to avoid race conditions (reporting a full and a available bus at once) */
+	/* the SIM should synchronize calls to requeue, resubmit and finished */
 	void (*requeue)(scsi_ccb *ccb, bool bus_overflow);
-	// resubmit request ASAP
-	// to be used if execution of request went wrong and must be retried
+	/* resubmit request ASAP */
+	/* to be used if execution of request went wrong and must be retried */
 	void (*resubmit)(scsi_ccb *ccb);
-	// mark request as being finished
-	// num_requests: number of requests that were handled by device
-	//               when the request was sent (read: how full was the device
-	//               queue); needed to find out how large the device queue is;
-	//               e.g. if three were already running plus this request makes
-	//               num_requests=4
+	/* mark request as being finished */
+	/* num_requests: number of requests that were handled by device */
+	/*               when the request was sent (read: how full was the device */
+	/*               queue); needed to find out how large the device queue is; */
+	/*               e.g. if three were already running plus this request makes */
+	/*               num_requests=4 */
 	void (*finished)(scsi_ccb *ccb, uint num_requests);
 
-	// following functions return error on invalid arguments only
+	/* following functions return error on invalid arguments only */
 	status_t (*alloc_dpc)(scsi_dpc_cookie *dpc);
 	status_t (*free_dpc)(scsi_dpc_cookie dpc);
 	status_t (*schedule_dpc)(scsi_bus cookie, scsi_dpc_cookie dpc, /*int flags,*/
 		void (*func)( void * ), void *arg);
 
-	// block entire bus (can be nested)
-	// no more request will be submitted to this bus
+	/* block entire bus (can be nested) */
+	/* no more request will be submitted to this bus */
 	void (*block_bus)(scsi_bus bus);
-	// unblock entire bus
-	// requests will be submitted to bus ASAP
+	/* unblock entire bus */
+	/* requests will be submitted to bus ASAP */
 	void (*unblock_bus)(scsi_bus bus);
-	// block one device
-	// no more requests will be submitted to this device
+	/* block one device */
+	/* no more requests will be submitted to this device */
 	void (*block_device)(scsi_device device);
-	// unblock device
-	// requests for this device will be submitted ASAP
+	/* unblock device */
+	/* requests for this device will be submitted ASAP */
 	void (*unblock_device)(scsi_device device);
 
-	// terminate bus overflow condition (see "requeue")
+	/* terminate bus overflow condition (see "requeue") */
 	void (*cont_send_bus)(scsi_bus bus);
-	// terminate device overflow condition (see "requeue")
+	/* terminate device overflow condition (see "requeue") */
 	void (*cont_send_device)(scsi_device device);
 } scsi_for_sim_interface;
 
@@ -408,53 +408,53 @@
 #define SCSI_FOR_SIM_MODULE_NAME "bus_managers/scsi/sim/driver_v1"
 
 
-// SIM Node
+/* SIM Node */
 
-// attributes:
+/* attributes: */
 
-// node type
+/* node type */
 #define SCSI_SIM_TYPE_NAME "bus/scsi/v1"
-// controller name (required, string)
+/* controller name (required, string) */
 #define SCSI_DESCRIPTION_CONTROLLER_NAME "controller_name"
 
 typedef void *scsi_sim_cookie;
 
-// SIM interface
-// SCSI controller drivers must provide this interface
+/* SIM interface */
+/* SCSI controller drivers must provide this interface */
 typedef struct scsi_sim_interface {
 	driver_module_info info;
 
 	void (*set_scsi_bus)(scsi_sim_cookie cookie, scsi_bus bus);
 
-	// execute request
+	/* execute request */
 	void (*scsi_io)(scsi_sim_cookie cookie, scsi_ccb *ccb);
-	// abort request
+	/* abort request */
 	uchar (*abort)(scsi_sim_cookie cookie, scsi_ccb *ccb_to_abort);
-	// reset device
+	/* reset device */
 	uchar (*reset_device)(scsi_sim_cookie cookie, uchar target_id, uchar target_lun);
-	// terminate request
+	/* terminate request */
 	uchar (*term_io)(scsi_sim_cookie cookie, scsi_ccb *ccb_to_terminate);
 
-	// get information about bus
+	/* get information about bus */
 	uchar (*path_inquiry)(scsi_sim_cookie cookie, scsi_path_inquiry *inquiry_data);
-	// scan bus
-	// this is called immediately before the SCSI bus manager scans the bus
+	/* scan bus */
+	/* this is called immediately before the SCSI bus manager scans the bus */
 	uchar (*scan_bus)(scsi_sim_cookie cookie);
-	// reset bus
+	/* reset bus */
 	uchar (*reset_bus)(scsi_sim_cookie cookie);
 
-	// get restrictions of one device
-	// (used for non-SCSI transport protocols and bug fixes)
+	/* get restrictions of one device */
+	/* (used for non-SCSI transport protocols and bug fixes) */
 	void (*get_restrictions)(scsi_sim_cookie 	cookie,
-		uchar				target_id,		// target id
-		bool				*is_atapi, 		// set to true if this is an ATAPI device that
-											// needs some commands emulated
-		bool				*no_autosense,	// set to true if there is no autosense;
-											// the SCSI bus manager will request sense on
-											// SCSI_REQ_CMP_ERR/SCSI_STATUS_CHECK_CONDITION
-		uint32 				*max_blocks );	// maximum number of blocks per transfer if > 0;
-											// used for buggy devices that cannot handle
-											// large transfers (read: ATAPI ZIP drives)
+		uchar				target_id,		/* target id */
+		bool				*is_atapi, 		/* set to true if this is an ATAPI device that */
+											/* needs some commands emulated */
+		bool				*no_autosense,	/* set to true if there is no autosense; */
+											/* the SCSI bus manager will request sense on */
+											/* SCSI_REQ_CMP_ERR/SCSI_STATUS_CHECK_CONDITION */
+		uint32 				*max_blocks );	/* maximum number of blocks per transfer if > 0; */
+											/* used for buggy devices that cannot handle */
+											/* large transfers (read: ATAPI ZIP drives) */
 
 	status_t (*ioctl)(scsi_sim_cookie, uint8 targetID, uint32 op, void *buffer, size_t length);
 } scsi_sim_interface;
